INTERVAL(1)

NAME
numinterval - Show the numeric intervals between each line in a file.

SYNOPSIS
numinterval [-dhV] <FILE>

| numinterval [-dhV] (Input on STDIN from pipeline.)

numinterval [-dhV] (Input on STDIN. Use Ctrl-D to stop.)

DESCRIPTION
numinterval will calculate and display the numeric interval between one number and the next on an input stream.

This can be quite useful for showing quantities of increase or decrease of data when the numbers themselves aren't providing you with what you want. For instance, I wrote this program after wanting to see the rate of change in box office ticket sales for movies on imdb.com. ;-)

OPTIONS
    -h  Help: You're looking at it.
    -V  Increase verbosity.
    -d  Debug mode.  For developers
    -q  Don't print any warnings.  Quiet mode.

SEE ALSO
numaverage(1), numbound(1), numnormalize(1), numgrep(1), numprocess(1), numsum(1), numrandom(1), numrange(1), numround(1)

COPYRIGHT
numinterval is part of the num-utils package, which is copyrighted by Suso Banderas and released under the GPL license. Please read the COPYING and LICENSE files that came with the num-utils package

  Developers can read the GOALS file and contact me about providing
submitions or help for the project.

MORE INFO
More info on numinterval can be found at:

http://suso.suso.org/programs/num-utils/